Unicode::Collate::CJK::GB2312(3p)

NAME
Unicode::Collate::CJK::GB2312 - weighting CJK Unified Ideographs for Unicode::Collate

SYNOPSIS
    use Unicode::Collate;
    use Unicode::Collate::CJK::GB2312;

    my $collator = Unicode::Collate->new(
        overrideCJK => \&Unicode::Collate::CJK::GB2312::weightGB2312
    );

DESCRIPTION
"Unicode::Collate::CJK::GB2312" provides weightGB2312(), that is adequate for "overrideCJK" of "Unicode::Collate" and makes tailoring of CJK Unified Ideographs in the order of CLDR's gb2312han ordering.

CAVEAT
The gb2312han ordering includes 5 code points in private use area (E2D8..E2DC), that can't utilize weightGB2312() for collation. For them, use "entry" instead.

SEE ALSO

CLDR - Unicode Common Locale Data Repository
    <http://cldr.unicode.org/>

Unicode Locale Data Markup Language (LDML) - UTS #35
    <http://www.unicode.org/reports/tr35/>

Unicode::Collate
Unicode::Collate::Locale